package testowanie;

public class Konto {
	private final int numer;
	private int saldo;
	private String wlasciciel;
	
	public Konto(int numer, int saldo, String wlasciciel) {
		this.numer = numer;
		this.saldo = saldo;
		this.wlasciciel = wlasciciel;
	}

	public int getNumer() {
		return numer;
	}

	public int getSaldo() {
		return saldo;
	}

	public String getWlasciciel() {
		return wlasciciel;
	}

	@Override
	public String toString() {
		return "Konto nr " + numer + ", saldo " + saldo + ", wł. " + wlasciciel;
	}

	public void wplata(int kwota) {
		if(kwota <= 0) {
			throw new IllegalArgumentException("Niedodatnia kwota w metodzie wplata");
		}
		this.saldo += kwota;
	}

	public void wyplata(int kwota) throws BrakSrodkow {
		if(kwota <= 0) {
			throw new IllegalArgumentException("Niedodatnia kwota w metodzie wyplata");
		}
		if(kwota > saldo) {
			throw new BrakSrodkow("Brak środków na koncie nr " + numer);
		}
		this.saldo -= kwota;
	}
}
